Skip to main content
PUT
/
contacts
/
{contactId}
Update a contact
curl --request PUT \
  --url https://api.leanpay.fr/v1/public/contacts/{contactId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "mobilePhoneNumber": "<string>",
  "externalId": "<string>",
  "main": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "mobilePhoneNumber": "<string>",
  "externalId": "<string>",
  "main": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

contactId
string<uuid>
required

Id of the contact

Body

application/json

Contact object to update

title
string | null
Maximum string length: 80
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
string | null
Maximum string length: 80
phoneNumber
string | null
Maximum string length: 80
mobilePhoneNumber
string | null
Maximum string length: 80
externalId
string | null
Maximum string length: 80
main
boolean | null

Response

Returns the updated contact

id
string<uuid>
tenantId
string<uuid>
clientId
string<uuid>
title
string | null
firstName
string | null
lastName
string | null
email
string | null
phoneNumber
string | null
mobilePhoneNumber
string | null
externalId
string | null
main
boolean
createdAt
string<date-time>
updatedAt
string<date-time>